function [f_x] = f( x )
% [f_x] = f( x )
%
% Apply some thresholding function, possibly sigmoid,
% as described in [1]. To follow the presented
% implementation, a sign function is performed.
%
% Scott Livingston <slivingston@caltech.edu>
% 30 Dec 2008
% Machine Intelligence Lab, EECS Dept., Univ. of Tennessee, Knoxville
%
% Released under the GNU General Public License, version 3, see
% GPLv3.txt or README for details.

if x >= 0
    f_x = 1;
else
    f_x = -1;
end
